This API enables you to check the transaction status before and after created using Reference ID given by Client
ReadMe callout block:
Code
{ "type": "info", "title": "Environment for End Point URL", "body": "**Please Replace the environment in the URL with:**\n\nWhen the environtment is sandbox, ***replace the {environment} with sandbox***. so the URL will be https://sandbox.onebrick.io/v2/payments/gs\n\nWhen the environment is production, ***replace the {environment} with api***. so the URL will be https://api.onebrick.io/v2/payments/gs"}
##Request parameters
ReadMe parameters block:
Code
{ "data": { "h-0": "Key Parameters", "h-1": "Data Type", "h-2": "Description", "0-0": "publicAccessToken", "0-1": "String", "0-2": "One time access-token generated using the auth token API", "1-0": "referenceId", "1-1": "String", "1-2": "Client Reference ID of specific transaction" }, "cols": 3, "rows": 2}
Response parameters
ReadMe parameters block:
Code
{ "data": { "h-0": "Key Parameters", "h-1": "Data type", "h-2": "Description", "0-0": "referenceId", "0-1": "String", "0-2": "Reference ID given by end user", "1-0": "id", "1-1": "String", "1-2": "Transaction id generated by brick", "2-0": "amount", "2-1": "String", "2-2": "Amount of transaction", "3-0": "status", "3-1": "String", "3-2": "The Status of transaction", "6-0": "bankAccountNo", "6-1": "Number", "6-2": "Account number of beneficiary", "8-0": "bankAccountHolderName", "8-1": "String", "8-2": "Description that filled related to fund transfer", "4-0": "createdAt", "5-0": "type", "4-1": "Timestamp", "5-1": "String", "7-0": "bankShortCode", "9-0": "bankName", "9-1": "String", "7-1": "String", "9-2": "Beneficiary bank name", "7-2": "Bank Short Code", "5-2": "Type of transaction", "4-2": "Time when the transaction created" }, "cols": 3, "rows": 10}